Page MenuHomePhabricator

Add SVG+PNG distribution serving SVG images to modern browsers and PNG as a fallback, primarily for PHP OOUI support in older browsers
Closed, ResolvedPublic

Description

If we want to actually start using PHP OOUI for basic forms in MediaWiki core, we'll presumably need a SVG+PNG distribution that would serve SVG images to modern browsers and PNG as a fallback (probably using the same technique we use for this in MediaWiki). This would be an addition to the existing two distributions, PNG-only (raster) and SVG-only (vector).

We are currently using the SVG (vector) distribution of OOUI in MediaWiki, since we were only used it for advanced JavaScript interfaces (like VisualEditor), only supported by browsers that support SVG anyway. But now we'll need the images for basic features done in PHP (like the new MediaWiki theme checkbox widgets), since we still support browsers such as IE 8 (list), which have no SVG support.

Event Timeline

matmarex created this task.Jan 24 2015, 8:13 AM
matmarex raised the priority of this task from to Needs Triage.
matmarex updated the task description. (Show Details)
matmarex added a project: OOUI.
matmarex added a subscriber: matmarex.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 24 2015, 8:13 AM

Is this something to do in OOjs UI or in the use of it in MW?

Jdforrester-WMF triaged this task as High priority.Feb 2 2015, 3:36 AM
matmarex updated the task description. (Show Details)Feb 2 2015, 5:03 PM
matmarex set Security to None.

Both, we need changes to OOjs UI build process and then changes to the pull-through process in MediaWiki. I expanded the bug summary.

matmarex claimed this task.Feb 16 2015, 6:39 PM
gerritbot added a subscriber: gerritbot.

Change 190839 had a related patch set uploaded (by Bartosz Dziewoński):
Introduce mixed SVG PNG distribution

https://gerrit.wikimedia.org/r/190839

Patch-For-Review

Change 190842 had a related patch set uploaded (by Bartosz Dziewoński):
Use SVG PNG OOjs UI distribution

https://gerrit.wikimedia.org/r/190842

Patch-For-Review

Jdforrester-WMF moved this task from Backlog to Doing on the OOUI board.Feb 16 2015, 11:37 PM

Change 190839 merged by jenkins-bot:
[BREAKING CHANGE] Make default distribution provide SVG with PNG fallback

https://gerrit.wikimedia.org/r/190839

Change 190842 merged by jenkins-bot:
Resources: Use OOjs UI distribution with vector→raster fallback

https://gerrit.wikimedia.org/r/190842

Jdforrester-WMF moved this task from Doing to Reviewing on the OOUI board.Mar 26 2015, 8:55 PM